import { Injectable } from "@angular/core";
import { Observable } from "rxjs";
import { AutherService } from "@justbe-angular/jb-auther";
import { AuthDataHandlerService } from "./auth-data-handler.service";
import { AuthConfigurationsModel } from "../models/auth-configurations.model";
var AuthService = (function () {
    function AuthService(autherService, authDataHandler) {
        this.autherService = autherService;
        this.authDataHandler = authDataHandler;
    }
    AuthService.prototype.setConfigurations = function (authconfigs) {
        this.authConfigs = AuthConfigurationsModel.build(authconfigs);
        this.autherService.setConfigurations({ endPoint: this.authConfigs.endPoint, type: this.authConfigs.type });
    };
    AuthService.prototype.getConfigurations = function () {
        return this.authConfigs;
    };
    AuthService.prototype.logout = function () {
        var _this = this;
        return new Observable(function (observer) {
            _this.autherService.jbLogout().subscribe(function (res) {
                _this.authDataHandler.clearData().subscribe(function (res) {
                    observer.next(200);
                    observer.complete();
                }, function (err) {
                    observer.error(500);
                });
            }, function (err) {
                observer.error(500);
            });
        });
    };
    AuthService.prototype.getAuthData = function () {
        return this.authDataHandler.getAuthData();
    };
    AuthService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    AuthService.ctorParameters = function () { return [
        { type: AutherService, },
        { type: AuthDataHandlerService, },
    ]; };
    return AuthService;
}());
export { AuthService };
//# sourceMappingURL=auth.service.js.map